# TODO: BR: perl(Devel::CallParser) when available

Name:		perl-Data-Alias
Version:	1.16
Release:	1%{?dist}
Summary:	Comprehensive set of aliasing operations
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Data-Alias/
Source0:	http://search.cpan.org/CPAN/authors/id/Z/ZE/ZEFRAM/Data-Alias-%{version}.tar.gz
BuildRequires:	perl(base)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Filter::Util::Call)
BuildRequires:	perl(lib)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(warnings)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
Aliasing is the phenomenon where two different expressions actually refer
to the same thing. Modifying one will modify the other, and if you take a
reference to both, the two values are the same.

%prep
%setup -q -n Data-Alias-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%doc README Changes
%{perl_vendorarch}/auto/Data/
%{perl_vendorarch}/Data/
%{_mandir}/man3/Data::Alias.3pm*

%changelog
* Wed Apr 25 2012 Paul Howarth <paul@city-fan.org> - 1.16-1
- Update to 1.16
  - Use supported API to put destructor calls on the save stack (the
    unsupported way used before was wrong for 64-bit systems on perl 5.13.1
    and later)
  - Document the behaviour of "alias return" in more detail
  - Convert .cvsignore to .gitignore
- BR: perl(base), perl(Test::Pod) and perl(Test::Pod::Coverage)
- Use search.cpan.org source URL
- Don't use macros for commands
- Don't need to remove empty directories from buildroot
- Make %%files list more explicit
- Use tabs

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.15-3
- Perl mass rebuild

* Fri Jun 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.15-2
- Perl mass rebuild

* Fri Jun 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.15-1
- Update to 1.15, which fixes issues with systemtap

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.12-2
- Perl mass rebuild

* Thu Apr 14 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.12-1
- Specfile autogenerated by cpanspec 1.79 for new release; this package was
  resurrected for 5.12.x

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.07-6
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.07-3
- Rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.07-2
- Autorebuild for GCC 4.3

* Mon Nov 05 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.07-1
- Update to 1.07

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.06-2
- Bump

* Fri Aug 10 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.06-1
- Update to 1.06
- License tag: GPL -> GPL+

* Fri Jun 01 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.05-1
- Update to 1.05

* Fri May 04 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.04-1
- Update to 1.04
- Add t/ to %%doc
- Perl splittage BR's added

* Mon Mar 19 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.03-1
- Update to 1.03

* Mon Feb 19 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.02-1
- Update to 1.02

* Tue Oct 03 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.01-1
- Update to 1.01

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.0-3
- Bump for mass rebuild

* Thu Aug 17 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.0-2
- Bump for build & release

* Wed Aug 16 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.0-1
- Specfile autogenerated by cpanspec 1.68
- Initial spec file for F-E
